Update or create a shipping address by reference (upsert)
Requires the SHIPPING_ADDRESS.CREATE or SHIPPING_ADDRESS.UPDATE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
Headers
x-platform-id
Platform ID.
Request
This endpoint expects an object.
reference
customer_id
The customer owning this address. Immutable after creation.
recipient
address
description
Response
OK
object_type
id
reference
customer_id
The customer owning this address. Immutable after creation.
description
status
Allowed values:
recipient
address
is_default
Only ACTIVE addresses can be default. Use set-as-default to select this address and clear the previous default for the customer.
created_at
updated_at
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error